<?php

require_once '../../incfiles/core.php';
require_once '../../incfiles/func.php';
require_once '../../incfiles/auth.php';
require_once '../../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_group = mysql_fetch_array($result);
	else go(URL);
	if (!in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))) go(URL);
}
else go(URL);

$title = lang('Настройки доступу','Налаштування доступу');
require_once '../../incfiles/head.php';

echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/adm/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Управление сообществом','Керування спільнотою').'</a>
	</div><div class="title">'.$title.'</div>';

?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			$('.content').html(response);
       }
     }
    });
  });
});
</script>

<?

require_once '../handler/access_reklama.php';

echo '<form id="form" method="post" action="'.URL.'/groups/adm/reklama.php?id='.$id.'">';
echo'<select class="input2" name="access_best">
	<option value="0"'. ($arr_group['access_best'] == 0?' selected="selected"':NULL) .'>'.lang('Активировать услугу','Підключити послугу').'</option>
	</select>
</div><div class="block">
	<input name="save" type="hidden" value="1"/>';
echo'<input class="button" type="submit" value="'.lang('Сохранить','Зберегти').'"/>';
echo''.lang('Чтобы подключить услугу сначало пополните счет.','Щоб підключити послугу спочатку поповніть свій рахунок.').'';
	echo'</div>
	</form>';
	
	if ($arr_group['access_best'] == 0)echo''.lang('Услуга активирована','Послуга активна').'';
	require_once '../../incfiles/foot.php';
	?>